org.eclipse.microprofile.graphql.tck.apps.basic.api

## Class BasicInput

- java.lang.Object
- - org.eclipse.microprofile.graphql.tck.apps.basic.api.BasicInput

All Implemented Interfaces:
  BasicInterface

    @Input(value="BasicMessageInput")
    public class BasicInput
    extends Object
    implements BasicInterface

To Test the generation of a Input even if it's not used (directly) as an argument.

Author:
  Phillip Kruger (phillip.kruger@redhat.com)

### Constructor Summary

Constructors
Constructor and Description
`BasicInput()`
`BasicInput(String message)`

### Method Summary

All Methods Instance Methods Concrete Methods
`BasicEnum` `getCountdownPlace()`
`String` `getMessage()`
`void` `setCountdownPlace(BasicEnum countdownPlace)`
`void` `setMessage(String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BasicInput

    public BasicInput()

#### BasicInput

    public BasicInput(String message)

### Method Detail

#### getMessage

    public String getMessage()

Specified by:
  `getMessage` in interface `BasicInterface`

#### setMessage

    public void setMessage(String message)

Specified by:
  `setMessage` in interface `BasicInterface`

#### getCountdownPlace

    public BasicEnum getCountdownPlace()

#### setCountdownPlace

    public void setCountdownPlace(BasicEnum countdownPlace)